Bug 1361984 (CVE-2016-5259) - CVE-2016-5259 Mozilla: Use-after-free in service workers with nested sync events (MFSA 2016-73)
Summary: CVE-2016-5259 Mozilla: Use-after-free in service workers with nested sync eve...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5259
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1360577
TreeView+ depends on / blocked
 
Reported: 2016-08-01 06:31 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-23 05:33:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1551 normal SHIPPED_LIVE Critical: firefox security update 2016-08-03 12:06:43 UTC

Description Huzaifa S. Sidhpurwala 2016-08-01 06:31:02 UTC
Security researcher Looben Yang discovered a use-after-free vulnerability when working with nested sync event loops in Service Workers. He discovered a mechanism where scripts can close their own worker, which will then trigger a synchronization XMLHttpRequest on this now closed and released worker. This results in a potentially exploitable crash when triggered. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-73.html


Acknowledgements:

Name: the Mozilla project
Upstream: Looben Yang

Comment 1 errata-xmlrpc 2016-08-03 08:08:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1551 https://rhn.redhat.com/errata/RHSA-2016-1551.html


Note You need to log in before you can comment on or make changes to this bug.